SICONOS_RUN(1)

NAME
siconos_run - Run a pre-generated Siconos mechanics-IO HDF5 simulation file.

DESCRIPTION
usage: siconos_run [-h] [-T time] [-p period] [-e interval] [-f Hz] [-V]

    filename

Description: Run a pre-generated Siconos mechanics-IO HDF5 simulation file.

  positional arguments:

filename
    simulation file (HDF5)

  options:

-h, --help
    show this help message and exit

-T time
    time in seconds to run until (default T=1 second)

-p, --period period
    time in seconds between frames (default p=5e-3)

-e, --every interval
    output every nth frame (default=1)

-f, --frequency Hz
    alternative to -p, specify simulation frequency in Hz (default=200 Hz)

-V, --version
    show program's version number and exit

This script only provides a basic interface for the most common simulation options. For more complex options, or to specify behaviour such as controllers, you must create a custom simulation script. If a partiallycompleted simulation is found, it will be continued from the last time step until T. Note that most example scripts do not use this program, and simply define and then run the simulation in the same script.

SEE ALSO
The Siconos Software Documentation

http://siconos.gforge.inria.fr